<script setup lang="ts">
import SharedWorkReportSearch from '../../shared/components/search-panel.vue';

defineOptions({ name: 'WeeklyReportSearch' });

defineProps<{
  projectOptions?: Api.WorkReport.Project.ProjectReportOwnerProjectOption[];
}>();

const model = defineModel<Api.WorkReport.Weekly.WeeklyReportSearchParams>('model', { required: true });

const emit = defineEmits<{
  (e: 'reset'): void;
  (e: 'search'): void;
}>();
</script>

<template>
  <SharedWorkReportSearch
    v-model:model="model"
    report-type="weekly"
    :project-options="projectOptions"
    @reset="emit('reset')"
    @search="emit('search')"
  />
</template>
